#include "OpenGameDialog.h"

OpenGameDialog::OpenGameDialog(BaseObjectType* cobject, const Glib::RefPtr<Gtk::Builder>& refBuilder)
    :Gtk::FileChooserDialog(cobject), m_refBuilder(refBuilder), m_asproblem(false)
{
    Gtk::Button *button_open=0, *button_cancel=0;
    m_refBuilder->get_widget("button_openfiledialog_open",button_open);
	m_refBuilder->get_widget("button_openfiledialog_cancel",button_cancel);
    button_open->signal_clicked().connect(sigc::mem_fun(this,&OpenGameDialog::on_open));
    button_cancel->signal_clicked().connect(sigc::mem_fun(this,&OpenGameDialog::on_cancel));
    signal_file_activated().connect(sigc::mem_fun(this,&OpenGameDialog::on_open));
}

void OpenGameDialog::on_open()
{
	Gtk::CheckButton *checkbutton_asproblem=0;
	m_refBuilder->get_widget("checkbutton_openfiledialog",checkbutton_asproblem);
    m_asproblem=checkbutton_asproblem->get_active();
    response(Gtk::RESPONSE_OK);
}

void OpenGameDialog::on_cancel()
{
	response(Gtk::RESPONSE_CANCEL);
}
