#include "SgfProperty.h"
map<SgfProperty::SgfPropEnum,ustring> SgfProperty::m_map_e2str;
map<ustring,SgfProperty::SgfPropEnum> SgfProperty::m_map_str2e;

void SgfProperty::BuildPropDict()
{
	m_map_e2str[SgfProperty::AB]="AB";
	m_map_str2e["AB"]=SgfProperty::AB;
	m_map_e2str[SgfProperty::AE]="AE";
	m_map_str2e["AE"]=SgfProperty::AE;
	m_map_e2str[SgfProperty::AN]="AN";
	m_map_str2e["AN"]=SgfProperty::AN;
	m_map_e2str[SgfProperty::AP]="AP";
	m_map_str2e["AP"]=SgfProperty::AP;
	m_map_e2str[SgfProperty::AR]="AR";
	m_map_str2e["AR"]=SgfProperty::AR;
	m_map_e2str[SgfProperty::AS]="AS";
	m_map_str2e["AS"]=SgfProperty::AS;
	m_map_e2str[SgfProperty::AW]="AW";
	m_map_str2e["AW"]=SgfProperty::AW;
	m_map_e2str[SgfProperty::B]="B";
	m_map_str2e["B"]=SgfProperty::B;
	m_map_e2str[SgfProperty::BL]="BL";
	m_map_str2e["BL"]=SgfProperty::BL;
	m_map_e2str[SgfProperty::BM]="BM";
	m_map_str2e["BM"]=SgfProperty::BM;
	m_map_e2str[SgfProperty::BR]="BR";
	m_map_str2e["BR"]=SgfProperty::BR;
	m_map_e2str[SgfProperty::BS]="BS";
	m_map_str2e["BS"]=SgfProperty::BS;
	m_map_e2str[SgfProperty::BT]="BT";
	m_map_str2e["BT"]=SgfProperty::BT;
	m_map_e2str[SgfProperty::C]="C";
	m_map_str2e["C"]=SgfProperty::C;
	m_map_e2str[SgfProperty::CA]="CA";
	m_map_str2e["CA"]=SgfProperty::CA;
	m_map_e2str[SgfProperty::CH]="CH";
	m_map_str2e["CH"]=SgfProperty::CH;
	m_map_e2str[SgfProperty::CP]="CP";
	m_map_str2e["CP"]=SgfProperty::CP;
	m_map_e2str[SgfProperty::CR]="CR";
	m_map_str2e["CR"]=SgfProperty::CR;
	m_map_e2str[SgfProperty::DD]="DD";
	m_map_str2e["DD"]=SgfProperty::DD;
	m_map_e2str[SgfProperty::DM]="DM";
	m_map_str2e["DM"]=SgfProperty::DM;
	m_map_e2str[SgfProperty::DO]="DO";
	m_map_str2e["DO"]=SgfProperty::DO;
	m_map_e2str[SgfProperty::DT]="DT";
	m_map_str2e["DT"]=SgfProperty::DT;
	m_map_e2str[SgfProperty::EL]="EL";
	m_map_str2e["EL"]=SgfProperty::EL;
	m_map_e2str[SgfProperty::EV]="EV";
	m_map_str2e["EV"]=SgfProperty::EV;
	m_map_e2str[SgfProperty::EX]="EX";
	m_map_str2e["EX"]=SgfProperty::EX;
	m_map_e2str[SgfProperty::FF]="FF";
	m_map_str2e["FF"]=SgfProperty::FF;
	m_map_e2str[SgfProperty::FG]="FG";
	m_map_str2e["FG"]=SgfProperty::FG;
	m_map_e2str[SgfProperty::GB]="GB";
	m_map_str2e["GB"]=SgfProperty::GB;
	m_map_e2str[SgfProperty::GC]="GC";
	m_map_str2e["GC"]=SgfProperty::GC;
	m_map_e2str[SgfProperty::GM]="GM";
	m_map_str2e["GM"]=SgfProperty::GM;
	m_map_e2str[SgfProperty::GN]="GN";
	m_map_str2e["GN"]=SgfProperty::GN;
	m_map_e2str[SgfProperty::GW]="GW";
	m_map_str2e["GW"]=SgfProperty::GW;
	m_map_e2str[SgfProperty::HA]="HA";
	m_map_str2e["HA"]=SgfProperty::HA;
	m_map_e2str[SgfProperty::HO]="HO";
	m_map_str2e["HO"]=SgfProperty::HO;
	m_map_e2str[SgfProperty::ID]="ID";
	m_map_str2e["ID"]=SgfProperty::ID;
	m_map_e2str[SgfProperty::IP]="IP";
	m_map_str2e["IP"]=SgfProperty::IP;
	m_map_e2str[SgfProperty::IT]="IT";
	m_map_str2e["IT"]=SgfProperty::IT;
	m_map_e2str[SgfProperty::IY]="IY";
	m_map_str2e["IY"]=SgfProperty::IY;
	m_map_e2str[SgfProperty::KM]="KM";
	m_map_str2e["KM"]=SgfProperty::KM;
	m_map_e2str[SgfProperty::KO]="KO";
	m_map_str2e["KO"]=SgfProperty::KO;
	m_map_e2str[SgfProperty::L]="L";
	m_map_str2e["L"]=SgfProperty::L;
	m_map_e2str[SgfProperty::LB]="LB";
	m_map_str2e["LB"]=SgfProperty::LB;
	m_map_e2str[SgfProperty::LN]="LN";
	m_map_str2e["LN"]=SgfProperty::LN;
	m_map_e2str[SgfProperty::LT]="LT";
	m_map_str2e["LT"]=SgfProperty::LT;
	m_map_e2str[SgfProperty::M]="M";
	m_map_str2e["M"]=SgfProperty::M;
	m_map_e2str[SgfProperty::MA]="MA";
	m_map_str2e["MA"]=SgfProperty::MA;
	m_map_e2str[SgfProperty::MN]="MN";
	m_map_str2e["MN"]=SgfProperty::MN;
	m_map_e2str[SgfProperty::N]="N";
	m_map_str2e["N"]=SgfProperty::N;
	m_map_e2str[SgfProperty::OB]="OB";
	m_map_str2e["OB"]=SgfProperty::OB;
	m_map_e2str[SgfProperty::OM]="OM";
	m_map_str2e["OM"]=SgfProperty::OM;
	m_map_e2str[SgfProperty::ON]="ON";
	m_map_str2e["ON"]=SgfProperty::ON;
	m_map_e2str[SgfProperty::OP]="OP";
	m_map_str2e["OP"]=SgfProperty::OP;
	m_map_e2str[SgfProperty::OT]="OT";
	m_map_str2e["OT"]=SgfProperty::OT;
	m_map_e2str[SgfProperty::OV]="OV";
	m_map_str2e["OV"]=SgfProperty::OV;
	m_map_e2str[SgfProperty::OW]="OW";
	m_map_str2e["OW"]=SgfProperty::OW;
	m_map_e2str[SgfProperty::PB]="PB";
	m_map_str2e["PB"]=SgfProperty::PB;
	m_map_e2str[SgfProperty::PC]="PC";
	m_map_str2e["PC"]=SgfProperty::PC;
	m_map_e2str[SgfProperty::PL]="PL";
	m_map_str2e["PL"]=SgfProperty::PL;
	m_map_e2str[SgfProperty::PM]="PM";
	m_map_str2e["PM"]=SgfProperty::PM;
	m_map_e2str[SgfProperty::PW]="PW";
	m_map_str2e["PW"]=SgfProperty::PW;
	m_map_e2str[SgfProperty::RE]="RE";
	m_map_str2e["RE"]=SgfProperty::RE;
	m_map_e2str[SgfProperty::RG]="RG";
	m_map_str2e["RG"]=SgfProperty::RG;
	m_map_e2str[SgfProperty::RO]="RO";
	m_map_str2e["RO"]=SgfProperty::RO;
	m_map_e2str[SgfProperty::RU]="RU";
	m_map_str2e["RU"]=SgfProperty::RU;
	m_map_e2str[SgfProperty::SC]="SC";
	m_map_str2e["SC"]=SgfProperty::SC;
	m_map_e2str[SgfProperty::SE]="SE";
	m_map_str2e["SE"]=SgfProperty::SE;
	m_map_e2str[SgfProperty::SI]="SI";
	m_map_str2e["SI"]=SgfProperty::SI;
	m_map_e2str[SgfProperty::SL]="SL";
	m_map_str2e["SL"]=SgfProperty::SL;
	m_map_e2str[SgfProperty::SO]="SO";
	m_map_str2e["SO"]=SgfProperty::SO;
	m_map_e2str[SgfProperty::SQ]="SQ";
	m_map_str2e["SQ"]=SgfProperty::SQ;
	m_map_e2str[SgfProperty::ST]="ST";
	m_map_str2e["ST"]=SgfProperty::ST;
	m_map_e2str[SgfProperty::SU]="SU";
	m_map_str2e["SU"]=SgfProperty::SU;
	m_map_e2str[SgfProperty::SZ]="SZ";
	m_map_str2e["SZ"]=SgfProperty::SZ;
	m_map_e2str[SgfProperty::TB]="TB";
	m_map_str2e["TB"]=SgfProperty::TB;
	m_map_e2str[SgfProperty::TC]="TC";
	m_map_str2e["TC"]=SgfProperty::TC;
	m_map_e2str[SgfProperty::TE]="TE";
	m_map_str2e["TE"]=SgfProperty::TE;
	m_map_e2str[SgfProperty::TM]="TM";
	m_map_str2e["TM"]=SgfProperty::TM;
	m_map_e2str[SgfProperty::TR]="TR";
	m_map_str2e["TR"]=SgfProperty::TR;
	m_map_e2str[SgfProperty::TW]="TW";
	m_map_str2e["TW"]=SgfProperty::TW;
	m_map_e2str[SgfProperty::UC]="UC";
	m_map_str2e["UC"]=SgfProperty::UC;
	m_map_e2str[SgfProperty::US]="US";
	m_map_str2e["US"]=SgfProperty::US;
	m_map_e2str[SgfProperty::V]="V";
	m_map_str2e["V"]=SgfProperty::V;
	m_map_e2str[SgfProperty::VW]="VW";
	m_map_str2e["VW"]=SgfProperty::VW;
	m_map_e2str[SgfProperty::W]="W";
	m_map_str2e["W"]=SgfProperty::W;
	m_map_e2str[SgfProperty::WL]="WL";
	m_map_str2e["WL"]=SgfProperty::WL;
	m_map_e2str[SgfProperty::WR]="WR";
	m_map_str2e["WR"]=SgfProperty::WR;
	m_map_e2str[SgfProperty::WS]="WS";
	m_map_str2e["WS"]=SgfProperty::WS;
	m_map_e2str[SgfProperty::WT]="WT";
	m_map_str2e["WT"]=SgfProperty::WT;
}
